Package org.kapott.hbci.GV_Result

# Class GVRDauerList.Dauer

java.lang.Object
org.kapott.hbci.GV_Result.GVRDauerList.Dauer

Enclosing class:
  `GVRDauerList`

public static final class GVRDauerList.Dauer extends Object
Informationen zu einem einzelnen Dauerauftrag.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`addkey`
Zusätzlicher Transaktionsschlüssel (bankintern, optional)
`boolean`
`aus_annual`
Aussetzung jährlich wiederholen? (Nur gültig, wenn `aus_available` `true` ist)
`boolean`
`aus_available`
Sind Daten zu einer geplanten Aussetzung vorhanden?
`String`
`aus_breakcount`
Anzahl der Aussetzungen (Nur gültig, wenn `aus_available` `true` ist) (optional)
`Date`
`aus_end`
Tag der letzten Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)
`Value`
`aus_newvalue`
Geänderter Betrag während Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)
`Date`
`aus_start`
Tag der ersten Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)
`boolean`
`can_change`
Auftrag kann geändert werden (optional)
`boolean`
`can_delete`
Auftrag kann gelöscht werden (optional)
`boolean`
`can_skip`
Auftrag kann ausgesetzt werden (optional)
`int`
`execday`
Tag der Ausführun innerhalb der Zeineinheit bei Zeiteinheit=W: 1-7 für Wochentag bei Zeiteinheit=M: 1-31 für Tag des Monats
`Date`
`firstdate`
Datum der ersten Ausführung
`String`
`key`
Transaktionsschlüssel (bankintern)
`Date`
`lastdate`
Datum, wann der Dauerauftrag zum letzten Mal ausgeführt werden soll (optional)
`Konto`
`my`
Belastungskonto (Kundenkonto)
`Date`
`nextdate`
Datum der nächsten Ausführung (optional)
`String`
`orderid`
Eindeutige Auftragsnummer, um diesen Dauerauftrag zu identifizieren (optional)
`Konto`
`other`
Empfängerkonto
`String`
`pmtinfid`
SEPA Payment-Information-ID.
`String`
`purposecode`
SEPA Purpose-Code.
`String`
`timeunit`
Zeiteinheit der Wiederholung.
`int`
`turnus`
Wiederholen aller wieviel Zeiteinheiten
`String[]`
`usage`
Verwendungszweckzeilen.
`Value`
`value`
Zu überweisender Betrag

## Constructor Summary

Constructors
Constructor
Description
`Dauer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addUsage(String line)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### my

public Konto my
Belastungskonto (Kundenkonto)

### other

public Konto other
Empfängerkonto

### value

public Value value
Zu überweisender Betrag

### key

public String key
Transaktionsschlüssel (bankintern)

### addkey

public String addkey
Zusätzlicher Transaktionsschlüssel (bankintern, optional)

### usage

public String[] usage
Verwendungszweckzeilen. Dieses Array ist niemals `null`, kann aber die Länge `0` haben.

### nextdate

public Date nextdate
Datum der nächsten Ausführung (optional)

### orderid

public String orderid
Eindeutige Auftragsnummer, um diesen Dauerauftrag zu identifizieren (optional)

### firstdate

public Date firstdate
Datum der ersten Ausführung

### timeunit

public String timeunit
Zeiteinheit der Wiederholung.

- M - monatlich
- W - wöchentlich

### turnus

public int turnus
Wiederholen aller wieviel Zeiteinheiten

### execday

public int execday
Tag der Ausführun innerhalb der Zeineinheit

- bei Zeiteinheit=W: 1-7 für Wochentag
- bei Zeiteinheit=M: 1-31 für Tag des Monats

### lastdate

public Date lastdate
Datum, wann der Dauerauftrag zum letzten Mal ausgeführt werden soll (optional)

### aus_available

public boolean aus_available
Sind Daten zu einer geplanten Aussetzung vorhanden?

### aus_annual

public boolean aus_annual
Aussetzung jährlich wiederholen? (Nur gültig, wenn `aus_available` `true` ist)

### aus_start

public Date aus_start
Tag der ersten Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)

### aus_end

public Date aus_end
Tag der letzten Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)

### aus_breakcount

public String aus_breakcount
Anzahl der Aussetzungen (Nur gültig, wenn `aus_available` `true` ist) (optional)

### aus_newvalue

public Value aus_newvalue
Geänderter Betrag während Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)

### can_change

public boolean can_change
Auftrag kann geändert werden (optional)

### can_skip

public boolean can_skip
Auftrag kann ausgesetzt werden (optional)

### can_delete

public boolean can_delete
Auftrag kann gelöscht werden (optional)

### pmtinfid

public String pmtinfid
SEPA Payment-Information-ID.

### purposecode

public String purposecode
SEPA Purpose-Code.

## Constructor Details

### Dauer

public Dauer()

## Method Details

### addUsage

public void addUsage(String line)

### toString

public String toString()

Overrides:
  `toString` in class `Object`